> For the complete documentation index, see [llms.txt](https://docs.bitsby.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bitsby.app/api-documentation/general-information.md).

# General information

You can get API key in [Integrations](https://dash.bitsby.app/integrations/list)

## Main features

* **Invoice management:** create, cancel, check status
* **Payment management**: list of payments, binding payment to invoice
* **Statistics**: get aggregated data by projects, by periods, by wallets, etc.
* **Billing**: project tariff plans, account balances

## Limitations

* **Number of requests**: no more than 1 request per second
* **Number of keys**: 10 per account

## Authorization of requests

To authorize each request to the API, your API key must be passed in the `Authorization` header.

An example of using the `Authorization` header in an API request:

```bash
curl -X POST https://api.bitsby.app/invoices/list \\
  -H "Authorization: Token MSvL2ltaDZdWVjmZURURMVWhqSJLT2NURjhL2Fla1Z1T1IxQTltKs1T3Ay"
```

### Server response

The API server response always comes in JSON format. Focus on the `result` parameter to determine if the request result is successful.

An example of the server response in case of a positive request result:

```json
{
    "result": "success",
    "data": .....
}
```

An example of server response in case of an error:

```json
{
    "result": "error",
    "data": "Requests too frequent"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bitsby.app/api-documentation/general-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
